import { Platform, StyleSheet } from 'react-native'
import appColors from '../../../../../theme/appColors'
import {
  fontSizes,
  SCREEN_WIDTH,
  windowHeight,
  windowWidth,
} from '../../../../../theme/appConstant'
import appFonts from '../../../../../theme/appFonts'

const styles = StyleSheet.create({
  otpView: {
    maxHeight: windowHeight(55),
    borderRadius: windowWidth(5),
    marginHorizontal: windowWidth(5),
  },
  otpContainer: {
    justifyContent: 'space-around',
    alignSelf: 'center',
    flexDirection: 'row',
  },
  otpInput: {
    borderWidth: windowHeight(0.2),
    borderRadius: windowHeight(5.5),
    fontSize: windowWidth(4),
    width: windowHeight(5.5),
    height: windowHeight(5.5),
    borderBottomWidth: windowHeight(0.2),
    alignItems: 'center',
    justifyContent: 'center',
  },
  otpVef: {
    fontSize: fontSizes.FONT5,
    fontFamily: appFonts.semiBold,
    marginTop: windowHeight(0.7),
    alignSelf: 'center',
  },
  subtitle: {
    color: appColors.secondaryFont,
    marginTop: windowHeight(0.7),
    fontFamily: appFonts.regular,
    marginBottom: windowHeight(1.3),
    alignSelf: 'center',
    fontSize: fontSizes.FONT3HALF1,
  },
  title: {
    marginTop: windowHeight(2.5),
    fontFamily: appFonts.medium,
  },
  container: {
    marginTop: windowHeight(2.5),
    marginBottom: windowHeight(1.3),
  },
  inputContainer: {
    justifyContent: 'space-between',
    alignSelf: 'center',
    alignItems: 'center',
    marginTop: windowHeight(1),
  },
  buttonView: {
    marginTop: windowHeight(1.5),
    marginBottom: windowHeight(2),
  },
  space: {
    height: windowHeight(0.6),
    width: windowWidth(10),
    backgroundColor: appColors.primary,
    borderRadius: windowWidth(25),
    alignSelf: 'center',
    marginTop: windowHeight(2),
    marginBottom: windowHeight(1),
  },
  retry: {
    marginTop: windowHeight(1.5),
    alignSelf: 'center',
    gap: windowHeight(0.2),
  },
  notReceive: {
    color: appColors.secondaryFont,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT4,
  },
  resend: {
    fontFamily: appFonts.semiBold,
    fontSize: fontSizes.FONT4,
  },
  warningText: {
    color: appColors.red,
    marginHorizontal: windowWidth(5),
  },
  subView: {
    marginTop: windowHeight(25),
  },
})

export default styles
